package com.njcn.csdevice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.pojo.po.MqttUser;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xuyang
 * @since 2023-06-29
 */
public interface IMqttUserService extends IService<MqttUser> {

    /**
     * 查询新增的mqtt用户名和密码是否存在
     * @param userName 用户名
     * @return boolean
     */
    boolean findMqttUser(String userName);

    /**
     * 根据密码生成mqtt连接信息
     * @param password
     */
    void insertMqttUser(String password);
     void deleteUser(String ndid);
}
